/**
 * The `ServiceError` class extends `Error` providing additional, standardized attributes
 * for AWS Lambda functions. The attributes include: `code` and `statusCode`.
 */
export declare class ServiceError extends Error {
    name: string;
    code: number;
    statusCode: number;
    constructor(messageOrError: string | Error, code?: number, statusCode?: number);
}
