import { MiddlewareObj } from '@middy/core';
import Joi from 'joi';
/**
 * ValidatorOptions
 */
export type ValidatorOptions = {
    eventSchema?: Joi.ObjectSchema;
};
/**
 * Validate Lambda events with a Joi schema.
 * @param options - Options for the validator.
 * @returns Middleware to perform validation against a Joi schema.
 */
export declare const validator: (options: ValidatorOptions) => MiddlewareObj;
