import { AdminDisableUserCommandInput, AdminDisableUserCommandOutput, AdminSetUserPasswordCommandInput, AdminSetUserPasswordCommandOutput, ListUsersCommandInput, ListUsersCommandOutput } from '@aws-sdk/client-cognito-identity-provider';
/**
 * Use the `CognitoIdentityProviderService` to interact with Amazon Cognito.
 * @see {@link https://docs.aws.amazon.com/AWSJavaScriptSDK/v3/latest/client/cognito-identity-provider/ | Amazon Cognito Identity Provider}
 */
declare const CognitoIdentityProviderService: {
    adminDisableUser: (input: AdminDisableUserCommandInput) => Promise<AdminDisableUserCommandOutput>;
    adminSetUserPassword: (input: AdminSetUserPasswordCommandInput) => Promise<AdminSetUserPasswordCommandOutput>;
    listUsers: (input: ListUsersCommandInput) => Promise<ListUsersCommandOutput>;
};
export default CognitoIdentityProviderService;
