import { BatchWriteCommandOutput, BatchWriteCommandInput, DeleteCommandInput, DeleteCommandOutput, GetCommandInput, GetCommandOutput, PutCommandInput, PutCommandOutput, QueryCommandInput, QueryCommandOutput, ScanCommandInput, ScanCommandOutput, UpdateCommandInput, UpdateCommandOutput } from '@aws-sdk/lib-dynamodb';
/**
 * A `DynamoClient` provides operations for accessing and mutating one or more Items
 * within an AWS DynamoDB Table.
 */
type DynamoClient = {
    batchWriteItems: (input: BatchWriteCommandInput) => Promise<BatchWriteCommandOutput>;
    deleteItem: (input: DeleteCommandInput) => Promise<DeleteCommandOutput>;
    getItem: (input: GetCommandInput) => Promise<GetCommandOutput>;
    putItem: (input: PutCommandInput) => Promise<PutCommandOutput>;
    queryItems: (input: QueryCommandInput) => Promise<QueryCommandOutput>;
    scanItems: (input: ScanCommandInput) => Promise<ScanCommandOutput>;
    updateItem: (input: UpdateCommandInput) => Promise<UpdateCommandOutput>;
};
/**
 * Use the `DynamoService` to access or mutate Items within an AWS DynamoDB Table.
 */
declare const DynamoService: DynamoClient;
export default DynamoService;
